Subject: Re: What's cooking in git.git (Dec 2010, #01; Sat, 4)

From: Michael J Gruber <[email-masked]>
Date: Mon, 06 Dec 2010 09:55:02 +0100

Junio C Hamano venit, vidit, dixit 05.12.2010 21:06:
> Michael J Gruber <[email-masked]> writes:
> 
>> Junio C Hamano venit, vidit, dixit 05.12.2010 07:30:
>> ...
>>>
>>> * mg/cvsimport (2010-11-28) 3 commits
>>>  - cvsimport.txt: document the mapping between config and options
>>>  - cvsimport: fix the parsing of uppercase config options
>>>  - cvsimport: partial whitespace cleanup
>>>
>>> I was being lazy and said "Ok" to "cvsimport.capital-r" but luckily other
>>> people injected sanity to the discussion.  Weatherbaloon patch sent, but
>>
>> I assume I should try and not read too much into this...
> 
> No, you shouldn't.  I wasn't questioning _your_ sanity, and if you took it
> that way, I apologize.

No need to. I was pointing out a potentially misunderstandable
formulation without misunderstanding it ;)

> I as the maintainer have different priority from contributors.  The
> contributed patches want to "get the job done" first, and their solution
> only need to be "correct and not too ugly".
> 
> I however in addition need to make sure that the changes make sense in the
> longer term,

Exactly, and you're doing a good job of it. It can lead to the
impression (on the contributors' side) that even simple patches are
difficult to "get in", and can lead to frustration, of course. But it
also ensures that we don't have even more work later on, trying to work
around a half-thought-through earlier change.

[In this particular case, I reckoned cvsimport basically hasn't got much
"later" left, but who knows when cvs2git is ready for incremental sync.]

Michael